feat(slam): add cartographer_ros

This commit is contained in:
X-lanni
2025-07-04 14:39:48 +08:00
parent df9cee5779
commit 5cf886315d
825 changed files with 92220 additions and 0 deletions
+22
View File
@@ -0,0 +1,22 @@
#!/bin/bash
# Usage: ./check_access_token.sh ACCESS_TOKEN
# Returns non-zero exit code if ACCESS_TOKEN is invalid.
if [ "$#" -ne 1 ]; then
echo "Please provide an access token to $0" 1>&2
exit 1
fi
token=$1
set -e
function on_error {
echo "Failed to validate GitHub access token!" 1>&2
exit 1
}
trap on_error ERR
test_response=$(curl -s https://api.github.com/?access_token=${token})
echo $test_response | grep -ivq "bad credentials"
echo $"GitHub access token is valid."